<?php

namespace backend\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use backend\models\SyncAccountToJurnal;

/**
 * SyncAccountToJurnalSearch represents the model behind the search form of `backend\models\SyncAccountToJurnal`.
 */
class SyncAccountToJurnalSearch extends SyncAccountToJurnal
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['payment_fpkey'], 'integer'],
            [['payment_type', 'nama_akun'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = SyncAccountToJurnal::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'payment_fpkey' => $this->payment_fpkey,
        ]);

        $query->andFilterWhere(['like', 'payment_type', $this->payment_type])
            ->andFilterWhere(['like', 'nama_akun', $this->nama_akun]);

        return $dataProvider;
    }
}
